edu.isi.pegasus.planner.client

## Class PegasusGetSites

- java.lang.Object
- - edu.isi.pegasus.planner.client.Executable
  - - edu.isi.pegasus.planner.client.PegasusGetSites

    public class PegasusGetSites
    extends Executable

The client that replaces the perl based pegasus-get-sites. It generates a Site Catalog by querying VORS.

Version:
  $Revision$
Author:
  Atul Kumar, Karan Vahi

### Field Summary

Fields
`private SiteCatalog` `mCatalog`
`private java.lang.String` `mGrid`
`private java.lang.String` `mPropertiesFilename`
`private java.lang.String` `mSCFile`
`private java.lang.String` `mSource` The default source to query for generating a site catalog.
`private java.lang.String` `mVO`

### Fields inherited from class edu.isi.pegasus.planner.client.Executable

`mLogger, mLogMsg, mProps, mVersion`

### Constructor Summary

Constructors
Constructor and Description
`PegasusGetSites()` The default constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `executeCommand()` Executes the command on the basis of the command line options passed.
`gnu.getopt.LongOpt[]` `generateValidOptions()` Generates valid LongOpts.
`protected java.lang.String` `getPropertyKey(java.lang.String source, java.lang.String key)` Returns the full name of the property key with the appropriate prefix
`void` `intialize(java.lang.String[] opts)` Initialize the PegasusGetSites object
`void` `loadProperties()` An empty implementation.
`static void` `main(java.lang.String[] args)` The main program
`void` `parseCommandLineArguments(java.lang.String[] args)` Parses the command line arguments using GetOpt and sets the class member variables.
`void` `printLongVersion()` Prints out the long help.
`void` `printShortVersion()` The short help version.
`protected void` `setupLogging()` Sets up the logging options for this class.

### Methods inherited from class edu.isi.pegasus.planner.client.Executable

`convertException, convertException, getCommandLineOptions, getEnvValue, getGVDSVersion, initialize, initialize, log, lookupConfProperty, sanityCheckOnProperties, setupLogging`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mVO

    private java.lang.String mVO

#### mGrid

    private java.lang.String mGrid

#### mSource

    private java.lang.String mSource

The default source to query for generating a site catalog.

#### mCatalog

    private SiteCatalog mCatalog

#### mSCFile

    private java.lang.String mSCFile

#### mPropertiesFilename

    private java.lang.String mPropertiesFilename

### Constructor Detail

#### PegasusGetSites

    public PegasusGetSites()

The default constructor.

### Method Detail

#### intialize

    public void intialize(java.lang.String[] opts)

Initialize the PegasusGetSites object

Parameters:
  `opts` - the command line argument passed to the PegasusGetSites

#### main

    public static void main(java.lang.String[] args)

The main program

Parameters:
  `args` -

#### loadProperties

    public void loadProperties()

An empty implementation.

Specified by:
  `loadProperties` in class `Executable`

#### printLongVersion

    public void printLongVersion()

Prints out the long help.

Specified by:
  `printLongVersion` in class `Executable`

#### printShortVersion

    public void printShortVersion()

The short help version.

Specified by:
  `printShortVersion` in class `Executable`

#### executeCommand

    public void executeCommand()

Executes the command on the basis of the command line options passed.

Parameters:
  `args` -

#### getPropertyKey

    protected java.lang.String getPropertyKey(java.lang.String source,
                                              java.lang.String key)

Returns the full name of the property key with the appropriate prefix

Parameters:
  `source` - the source i.e type of site catalog
  `key` - the basename of the key
Returns:
  the property key.

#### setupLogging

    protected void setupLogging()

Sets up the logging options for this class. Looking at the properties file, sets up the appropriate writers for output and stderr.

#### parseCommandLineArguments

    public void parseCommandLineArguments(java.lang.String[] args)

Parses the command line arguments using GetOpt and sets the class member variables.

Parameters:
  `args` - the arguments passed by the user at command line.

#### generateValidOptions

    public gnu.getopt.LongOpt[] generateValidOptions()

Generates valid LongOpts.

Specified by:
  `generateValidOptions` in class `Executable`
Returns:
  LongOpt[]